## org.mortbay.util.ajax
Class AjaxFilter

    java.lang.Object
      org.mortbay.util.ajax.AjaxFilter

All Implemented Interfaces:
  Filter

Direct Known Subclasses:
  ChatFilter

Deprecated. Use Cometd

    public class AjaxFilter

extends Object
implements Filter

Author:
  gregw

Nested Class Summary
`static class` `AjaxFilter.AjaxResponse` Deprecated.

Constructor Summary
`AjaxFilter()` Deprecated.

Method Summary
`void` `destroy()` Deprecated.
`void` `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)` Deprecated.
`static String` `encodeText(String s)` Deprecated.
`ServletContext` `getContext()` Deprecated.
`void` `handle(String method, String message, HttpServletRequest request, AjaxFilter.AjaxResponse response)` Deprecated.
`void` `init(FilterConfig filterConfig)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxFilter

    public AjaxFilter()

  Deprecated.

Method Detail

### init

    public void init(FilterConfig filterConfig)
              throws ServletException

  Deprecated.
  Specified by:
    `init` in interface `Filter`
  Throws:
    `ServletException`

### getContext

    public ServletContext getContext()

  Deprecated.
  Returns:
    Returns the context.

### doFilter

    public void doFilter(ServletRequest request,
                         ServletResponse response,
                         FilterChain chain)
                  throws IOException,
                         ServletException

  Deprecated.
  Specified by:
    `doFilter` in interface `Filter`
  Throws:
    `IOException`
    `ServletException`

### handle

    public void handle(String method,
                       String message,
                       HttpServletRequest request,
                       AjaxFilter.AjaxResponse response)

  Deprecated.

### destroy

    public void destroy()

  Deprecated.
  Specified by:
    `destroy` in interface `Filter`

### encodeText

    public static String encodeText(String s)

  Deprecated.

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.